const mongoose = require('mongoose');

const Schema = mongoose.Schema

const stallStatusSchema = new Schema({
  'isVacant' : Boolean
})

const toiletSchema = new Schema({
  'name' : String,
  'location' : String,
  'stallId' : [{ type : Schema.Types.ObjectId , ref : 'stall_status' }]
})

const stallStatusModel = mongoose.model( 'stall_status', stallStatusSchema )
const toiletModel = mongoose.model( 'profile', toiletSchema )

module.exports = { stallStatusModel, toiletModel }
